I2C_USE_CLIENT(9)

NAME
i2c_use_client - increments the reference count of the i2c client structure

SYNOPSIS

struct i2c_client * i2c_use_client(struct i2c_client * client);

ARGUMENTS

client
    the client being referenced

DESCRIPTION

Each live reference to a client should be refcounted. The driver model does that automatically as part of driver binding, so that most drivers don't

NEED TO DO THIS EXPLICITLY

they hold a reference until they're unbound from the device.

A pointer to the client with the incremented reference counter is returned.

COPYRIGHT